From 48e4fc886e4f6796cb543ba62c7c00362502703c Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 3 Jul 2009 13:17:48 +0200
Subject: [PATCH] Workaround a gcc bug. http://gcc.gnu.org/bugzilla/show_bug.cgi?id=40134

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 djvulibre-workaround-gcc-bug-arm.patch |   12 ++++++++++++
 djvulibre.spec                         |    7 ++++++-
 2 files changed, 18 insertions(+), 1 deletions(-)
 create mode 100644 djvulibre-workaround-gcc-bug-arm.patch

diff --git a/djvulibre-workaround-gcc-bug-arm.patch b/djvulibre-workaround-gcc-bug-arm.patch
new file mode 100644
index 0000000..d8c198b
--- /dev/null
+++ b/djvulibre-workaround-gcc-bug-arm.patch
@@ -0,0 +1,12 @@
+diff -dur djvulibre-3.5.21.backup/libdjvu/Makefile.in djvulibre-3.5.21/libdjvu/Makefile.in
+--- djvulibre-3.5.21.backup/libdjvu/Makefile.in	2008-02-24 19:43:02.000000000 -0500
++++ djvulibre-3.5.21/libdjvu/Makefile.in	2009-07-03 07:06:10.117650754 -0400
+@@ -80,7 +80,7 @@
+ 	@echo "[ generating $@ ... ]"
+ 	${LIBTOOL} --mode=link ${CXX} ${CXXFLAGS} -no-undefined \
+ 	    -rpath ${libdir} -version-info ${LIBDJVU_VER} ${DLLFLAGS} \
+-	    ${OBJS} ${LIBS} -o ${LIBDJVU_LA}
++	    ${OBJS} ${LIBS} -lgcc_s -lgcc -o ${LIBDJVU_LA}
+ 
+ @RPO_YES@${LIBDJVU_LA} : libdjvu-rpo
+ @RPO_YES@libdjvu-rpo : ${OBJS}
diff --git a/djvulibre.spec b/djvulibre.spec
index 9b7015a..207b084 100644
--- a/djvulibre.spec
+++ b/djvulibre.spec
@@ -1,7 +1,7 @@
 Summary: DjVu viewers, encoders, and utilities
 Name: djvulibre
 Version: 3.5.21
-Release: 2%{?dist}
+Release: 2%{?dist}.fa1
 License: GPLv2+
 Group: Applications/Publishing
 URL: http://djvu.sourceforge.net/
@@ -9,6 +9,7 @@ Source: http://dl.sf.net/djvu/djvulibre-%{version}.tar.gz
 Patch0: djvulibre-3.5.18-plugin-manpage.patch
 Patch1: djvulibre-3.5.19-ja-encoding.patch
 Patch2: djvulibre-configure.patch
+Patch10: djvulibre-workaround-gcc-bug-arm.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 Requires(post): xdg-utils, /sbin/ldconfig
 Requires(preun): xdg-utils
@@ -65,6 +66,7 @@ Development files for DjVuLibre.
 %patch0 -p1 -b .plugin-manpage
 %patch1 -p1 -b .ja-encoding
 %patch2 -p1 -b .configure
+%patch10 -p1 -b .arm
 # Convert ISO8859-1 ja man pages to UTF-8 (still as of 3.5.20-2)
 for manpage in i18n/ja/*.1*; do
     iconv -f iso8859-1 -t utf-8 -o tmp ${manpage}
@@ -144,6 +146,9 @@ fi
 
 
 %changelog
+* Fri Jul 03 2009 Jitesh Shah <jiteshs@marvell.com> - 3.5.21-2.fa1
+- Workaround a gcc bug. http://gcc.gnu.org/bugzilla/show_bug.cgi?id=40134
+
 * Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.21-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 
-- 
1.5.5.6

